One order with every piece and its scan history
GET
/v1/orders/{id}Auth: Factory API key
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | string | · |
Response
200
| Field | Type | Description |
|---|---|---|
id | string | · |
order_no | string | · |
status | string | · one of: "awaiting_production", "in_production", "produced", "in_stock", "partially_dispatched", "dispatched", "cancelled" |
production_date | string (date), nullable | · |
needed_by | string (date), nullable | · |
source | string | · one of: "upload", "api" |
created_at | string (date-time) | · |
produced_at | string (date-time), nullable | · |
in_stock_at | string (date-time), nullable | · |
dispatched_at | string (date-time), nullable | · |
retailer_id | string | · |
retailer_name | string | · |
retailer_code | string | · |
stuck | boolean | produced/in_stock for longer than the factory's stuck_after_days, or partially dispatched |
pieces_total | integer | · |
pieces_scanned | integer | · |
pieces_in_stock | integer | · |
pieces_dispatched | integer | · |
piece_states | string[] | · |
items | string | SKU + colour of every line, comma separated |
pieces | object[] | · |
id | string | · |
barcode | string | · |
unit_no | integer | · |
piece_no | integer | · |
piece_name | string, nullable | · |
status | string | · |
location | string, nullable | · |
produced_at | string (date-time), nullable | · |
in_stock_at | string (date-time), nullable | · |
dispatched_at | string (date-time), nullable | · |
label_printed_at | string (date-time), nullable | · |
sku | string | · |
colour | string, nullable | · |
qty | integer | · |
pieces_per_unit | integer | · |
scans | object[] | · |
event | string | · |
accepted | boolean | · |
reason | string, nullable | · |
location | string, nullable | · |
station | string | · |
at | string (date-time) | · |
Code samples
curl "https://api.skuflo.io/v1/orders/id_9c1a4e" \
-H "Authorization: Bearer sk_live_..."